/*
 * Copyright
 *   2007 axYus - www.axyus.com
 *   2009 C.Marchand - christophe.marchand@axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.dgfip.xemelios.batch.imports.utils;

    
public class ImportVOPK implements java.io.Serializable {
            
    public static final int UTI_LOGIN_LEN = 50;
    public static final int IMPORT_ID_LEN = 200;
    public static final int FILE_NAME_LEN = 200;
    public static final int FILE_TYPE_LEN = 200;
    public static final int SUBMIT_DATE_LEN = 0;
    public static final int END_DATE_LEN = 0;
    public static final int STATUS_LEN = 10;
    public static final int COLLECTIVITE_LEN = 15;
    public static final int BUDGET_LEN = 24;
    public static final int COLLECTIVITE_LIB_LEN = 250;
    public static final int BUDGET_LIB_LEN = 250;
    public static final int ERROR_MESSAGE_LEN = 2147483647;
            
                
        
        
    /**
     * MAPS IMPORT_ID column.
     */
    protected java.lang.String importId;
    protected boolean isImportIdSet = false;
    protected boolean isImportIdModified = false;
    
            
            
        
    /**
     * Default Constructor
     */
    public ImportVOPK() {
        super();
    }
    /**
     * Initializes PK with values in fields.
     */
    public ImportVOPK(java.lang.String importId) {
        this();
        setInnerImportId(importId);

    }
    
            
                
        
        
    public java.lang.String getImportId() { return importId; }
    public void setImportId(java.lang.String importId) {
        this.importId=importId;
        this.isImportIdModified = true;
    }
    protected void setInnerImportId(java.lang.String importId) {
        this.importId=importId;
        this.isImportIdSet = true;
    }
    public java.lang.String getStrImportId(java.lang.String returnInCaseOfNull) {
        return importId!=null ? importId.toString() : returnInCaseOfNull;
    }
    
            
    @Override
    public boolean equals(Object o) {
        if(o instanceof ImportVOPK) {
            boolean bRet = true;
            ImportVOPK other = (ImportVOPK)o;
            
                
            bRet = bRet && (getImportId().equals(other.getImportId()));
            
            return bRet;
        }
        return false;
    }
    @Override
    public int hashCode() {
        int ret = 0;
            
                
        ret += getImportId().hashCode();
            
        return ret;
    }
}
        
